
SCM Creator (+Github) - Bug #2385

cannot create Repository anymore (URL should be of Format  "file:///var/local/svn/<Repository>/")

16 Jun 2015 08:00 - Jonas Götze

Status: Closed Start date: 16 Jun 2015

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5.1   

Redmine version:  External issue:  

Description

Though I am using a correct repository URL like this one

file:///var/local/svn/my_repository

SCM tells my that URL should be of Format  “file:///var/local/svn/<Repository>/”

I changed the regex in lib/creator//subversion_creator.rb#43 to

matches = Regexp.new("^file://#{Regexp.escape(base)}/([^/]+)/?$").match(path) (mind the ^ and $ instead of \A and \z) and it accepts

the URL.

Repository creation still fails with “Redmine based authentication can not be used with this repository name.”

Any clues why? Sadly I am not a Ruby Expert.

Redmine version                2.6.4.stable.14229

Ruby version                   2.0.0-p451 (2014-02-24) [x86_64-linux]

Rails version                  3.2.21

SCM:

Subversion                     1.7.10

Redmine plugins:

redmine_scm                    0.5.1 (latest from SVN)

Related issues:

Duplicates SCM Creator (+Github) - Bug #2361: Error received when creating ne... Closed 25 Feb 2015

Associated revisions

Revision 143 - 26 Aug 2016 15:01 - Andriy Lesyuk

Regexp and other code fixes

History

#1 - 16 Jun 2015 08:23 - Jonas Götze

Repository creation still fails with “Redmine based authentication can not be used with this repository name.”

Fixed that one. Was not aware that the project name and repository name should match.

#2 - 26 Aug 2016 15:11 - Andriy Lesyuk

- Status changed from New to Closed

Sorry, guys! This issue has been fixed in r143.

#3 - 26 Aug 2016 15:12 - Andriy Lesyuk

- Priority changed from Normal to Major

- Target version set to 0.5.1

- % Done changed from 0 to 100
